<?php
namespace TYPO3\Agauthors\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package agauthors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Regauthor extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * firstName
	 *
	 * @var \string
	 * @validate NotEmpty
	 */
	protected $firstName;

	/**
	 * lastName
	 *
	 * @var \string
	 * @validate NotEmpty
	 */
	protected $lastName;

	/**
	 * profilePic
	 *
	 * @var \string
	 */
	protected $profilePic;

	/**
	 * description
	 *
	 * @var \string
	 */
	protected $description;
        
        
	/**
	 * googleUid
	 *
	 * @var \string
	 */
	protected $googleUid;

	/**
	 * eMail
	 *
	 * @var \string
	 */
	protected $eMail;
        
	/**
	 * twitterUid
	 *
	 * @var \string
	 */
	protected $twitterUid;      
        
	/**
	 * facebookUid
	 *
	 * @var \string
	 */
	protected $facebookUid;       
        
	/**
	 * website
	 *
	 * @var \string
	 */
	protected $website;              

	/**
	 * Returns the firstName
	 *
	 * @return \string $firstName
	 */
	public function getFirstName() {
		return $this->firstName;
	}

	/**
	 * Sets the firstName
	 *
	 * @param \string $firstName
	 * @return void
	 */
	public function setFirstName($firstName) {
		$this->firstName = $firstName;
	}

	/**
	 * Returns the lastName
	 *
	 * @return \string $lastName
	 */
	public function getLastName() {
		return $this->lastName;
	}

	/**
	 * Sets the lastName
	 *
	 * @param \string $lastName
	 * @return void
	 */
	public function setLastName($lastName) {
		$this->lastName = $lastName;
	}

	/**
	 * Returns the profilePic
	 *
	 * @return \string $profilePic
	 */
	public function getProfilePic() {
		return $this->profilePic;
	}

	/**
	 * Sets the profilePic
	 *
	 * @param \string $profilePic
	 * @return void
	 */
	public function setProfilePic($profilePic) {
		$this->profilePic = $profilePic;
	}

	/**
	 * Returns the description
	 *
	 * @return \string $description
	 */
	public function getDescription() {
		return $this->description;
	}

	/**
	 * Sets the description
	 *
	 * @param \string $description
	 * @return void
	 */
	public function setDescription($description) {
		$this->description = $description;
	}
                
	/**
	 * Returns the googleUid
	 *
	 * @return \string $googleUid
	 */
	public function getGoogleUid() {
		return $this->googleUid;
	}

	/**
	 * Sets the googleUid
	 *
	 * @param \string $googleUid
	 * @return void
	 */
	public function setGoogleUid($googleUid) {
		$this->googleUid = $googleUid;
	}

	/**
	 * Returns the eMail
	 *
	 * @return \string $eMail
	 */
	public function getEMail() {
		return $this->eMail;
	}

	/**
	 * Sets the eMail
	 *
	 * @param \string $eMail
	 * @return void
	 */
	public function setEMail($eMail) {
		$this->eMail = $eMail;
	}
        
        /**
	 * Returns the website
	 *
	 * @return \string $website
	 */
	public function getWebsite() {
		return $this->website;
	}

	/**
	 * Sets the website
	 *
	 * @param \string $website
	 * @return void
	 */
	public function setWebsite($website) {
		$this->website = $website;
	}
        
       /**
	 * Returns the twitterUid
	 *
	 * @return \string $twitterUid
	 */
	public function getTwitterUid() {
		return $this->twitterUid;
	}

	/**
	 * Sets the twitterUid
	 *
	 * @param \string $twitterUid
	 * @return void
	 */
	public function setTwitterUid($twitterUid) {
		$this->twitterUid = $twitterUid;
	}
        
        
       /**
	 * Returns the facebookUid
	 *
	 * @return \string $facebookUid
	 */
	public function getFacebookUid() {
		return $this->facebookUid;
	}

	/**
	 * Sets the facebookUid
	 *
	 * @param \string $facebookUid
	 * @return void
	 */
	public function setFacebookUid($facebookUid) {
		$this->facebookUid = $facebookUid;
	}    

}
?>